function rootObject() {
    var next = parent
    while (next && next.parent)
        next = next.parent
    return next
}

function visualRoot() {
    var root = rootObject()
    if(root.hasOwnProperty("privateWindow"))
        return root.privateWindow
    return root;
}

function findParent(child, propertyName) {
    if (!child)
        return null
    var next = child.parent
    while (next && !next.hasOwnProperty(propertyName))
        next = next.parent
    return next
}

/*
  Get the root item given an element and root item's name.
  If root item name is not given, default is 'windowContent'.
*/
function findRootItem(item, objectName)
{
    var next = item;

    var rootItemName = "windowContent";
    if (typeof(objectName) != 'undefined') {
        rootItemName = objectName;
    }

    if (next) {
        while (next.parent) {
            next = next.parent;

            if (rootItemName == next.objectName) {
                break;
            }
        }
    }

    return next;
}

function findWindowRoot(item) {
    return findRootItem(item, "pageStackWindow");
}

function sceneX(item) {
    // Binding may cause that this function is evaluated even when item is undefined,
    // but in that case the Binding isn't active however so we can safely return 0
    var x = 0
    if (item) {
        x = item.x
        var p = item.parent
        while (p) {
            x += p.x
            p = p.parent
        }
    }
    return x
}

function sceneY(item) {
    // Binding may cause that this function is evaluated even when item is undefined,
    // but in that case the Binding isn't active however so we can safely return 0
    var y = 0
    if (item) {
        y = item.y
        var p = item.parent
        while (p) {
            y += p.y
            p = p.parent
        }
    }
    return y
}

