import QtQuick 1.0
import com.nokia.meego 1.0
import myExplorer.types 1.0

Dialog
{
    width: parent.width - 20

    property alias nameText: lblName.text
    property alias noteText: lblNote.text
    property alias percent: pBar.value
    property bool dlgVisible: false

    title: Text { font.pixelSize: 30; font.bold: true; color: "white"; text: "Delete progress"; anchors.bottomMargin: 40;
        anchors.horizontalCenter: parent.horizontalCenter }

    content: Column
    {
        width: parent.width

        Row {
            height: 15
            Text { text: " "; }
        }

        Text { id: lblName; font.pixelSize: 24; color: "white"; }

        Row {
            height: 15
            Text { text: " "; }
        }

        ProgressBar {
            id: pBar
            width: parent.width
            anchors.horizontalCenter: parent.horizontalCenter;
        }

        Row {
            height: 15
            Text { text: " "; }
        }

        Text { id: lblNote; font.pixelSize: 24; color: "white"; }

        Row {
            height: 25
            Text { text: " "; }
        }
    }

    buttons: Button { text: "Cancel"; anchors.horizontalCenter: parent.horizontalCenter; onClicked: app.OnDelDetailsDlgRejected(); }

    signal privateClicked
    onPrivateClicked: {}

    onStatusChanged: {
        if (!dlgVisible && status == 1)
            close();
    }

    function showDialog()
    {
        nameText = "";
        noteText = "";
        percent = 0;

        dlgVisible = true;
        open();
    }

    function closeDialog() { dlgVisible = false; close(); }

    function updateNote(note) { lblNote.text = note; }
    function updateUi(name, note, percent)
    {
        lblName.text = name;
        lblNote.text = note;
        pBar.value = percent;
    }
}
