import QtQuick 1.0
import com.nokia.meego 1.0
import myExplorer.types 1.0
import "UIConst.js" as UI

Dialog
{
    id: diskDetails

    property string titleText: ""
    property string usedText: ""
    property string freeText: ""
    property string capacityText: ""
    property real percentUsed

    title: Text { font.pixelSize: 30; font.bold: true; color: UI.COLOR_INVERTED_FOREGROUND; text: titleText; anchors.bottomMargin: 40;
        anchors.horizontalCenter: parent.horizontalCenter }

    content: Column {
        spacing: 15
        width: parent.width

        Row {
            height: 15
            Text { text: " "; }
        }

        Row {
            width: parent.width
            Text { font.pixelSize: UI.FONT_LARGE; color: UI.COLOR_INVERTED_SECONDARY_FOREGROUND; font.italic: true; text: "Used space: "; anchors.right: parent.horizontalCenter; }
            Text { font.pixelSize: UI.FONT_LARGE; color: UI.COLOR_INVERTED_FOREGROUND; text: usedText; anchors.left: parent.horizontalCenter; }
        }

        Row {
            width: parent.width
            Text { font.pixelSize: UI.FONT_LARGE; color: UI.COLOR_INVERTED_SECONDARY_FOREGROUND; font.italic: true; text: "Free space: "; anchors.right: parent.horizontalCenter; }
            Text { font.pixelSize: UI.FONT_LARGE; color: UI.COLOR_INVERTED_FOREGROUND; text: freeText; anchors.left: parent.horizontalCenter; }
        }

        Row {
            width: parent.width
            Text { font.pixelSize: UI.FONT_LARGE; color: UI.COLOR_INVERTED_SECONDARY_FOREGROUND; font.italic: true; text: "Capacity: "; anchors.right: parent.horizontalCenter; }
            Text { font.pixelSize: UI.FONT_LARGE; color: UI.COLOR_INVERTED_FOREGROUND; text: capacityText; anchors.left: parent.horizontalCenter; }
        }

        ProgressBar {
            value: percentUsed
            width: 400
            anchors.horizontalCenter: parent.horizontalCenter;
        }

        Text {
            font.pixelSize: UI.FONT_LARGE; color: UI.COLOR_INVERTED_SECONDARY_FOREGROUND;
            font.italic: true;
            text: Math.round(diskDetails.percentUsed * 100) + " % used";
            anchors.horizontalCenter: parent.horizontalCenter; }

        Row {
            height: 15
            Text { text: " "; }
        }
    }

    buttons: Button { text: "Close"; anchors.horizontalCenter: parent.horizontalCenter; onClicked: reject(); }

    signal privateClicked
    onPrivateClicked: {}
}
