.pragma library

var app = null
var appWindow = null
function init(appObj, appWindowObj)
{
    if (!app)
        app = appObj;

    if (!appWindow)
        appWindow = appWindowObj;
}

//function setMenuStyle(menu, inverted) {
//    menu.platformInverted = inverted;
//    var layout = menu.content[0];

//    for (var i = 0; i < layout.children.length; ++i) {
//        layout.children[i].platformInverted = inverted;
//    }
//}

function setMenuCheckedItem(menu, index) {
    var layout = menu.content[0];
    for (var i = 0; i < layout.menuChildren.length; ++i) {
        layout.menuChildren[i].privateSelectionIndicator = (i === index);
    }
}

function setToolbarStyle(toolbarLayout, inverted) {
    if (inverted === undefined)
        inverted = app.InvertedTheme();
    for (var i = 0; i < toolbarLayout.children.length; ++i) {
        var item = toolbarLayout.children[i];
        item.platformInverted = inverted;
        item.resetTip();
    }
}

function loadComponent(comp, filename) {
    if (!comp) {
        var newComp = Qt.createComponent(filename);
        return newComp;
    }

    return comp;
}

function setProperties(obj, properties)
{
    for (var prop in properties)
        obj[prop] = properties[prop];
}

function loadObject(obj, comp, properties, parent) {
    if (!obj) {
        var par = parent;
        if (par === undefined)
            par = appWindow.pageStack.currentPage;
        var newObj = comp.createObject(par, properties || {});
        return newObj;
    }

    setProperties(obj, properties || {});
    return obj;
}

function loadStyledObject(obj, comp, properties, parent) {
    var newObj = loadObject(obj, comp, properties, parent);
    //newObj.platformInverted = app.InvertedTheme();

    return newObj;
}

function loadMenu(obj, comp, properties, parent) {
    var newObj = loadObject(obj, comp, properties, parent);
    //setMenuStyle(newObj, app.InvertedTheme());

    return newObj;
}

function openMenu(obj, comp, properties, parent) {
    var newObj = loadMenu(obj, comp, properties, parent);
    newObj.open();

    return newObj;
}

function openCheckedMenu(obj, comp, checkedIndex) {
    var newObj = loadMenu(obj, comp, undefined, undefined);
    setMenuCheckedItem(newObj, checkedIndex);
    newObj.open();

    return newObj;
}

function openObject(obj, comp, properties, parent) {
    var myObj = loadObject(obj, comp, properties, parent);
    myObj.open();

    return myObj;
}

function openStyledObject(obj, comp, properties, parent) {
    var myObj = loadStyledObject(obj, comp, properties, parent);
    myObj.open();

    return myObj;
}
