import QtQuick 1.0
import com.nokia.meego 1.0
import myExplorer.types 1.0

Dialog
{
    width: 400
    id: dlg

    property string titleText: ""
    property string userName: ""
    property string password: ""
    property bool rememberPassword: false

    SipAttributes
    {
        id: sipAttributes
        actionKeyEnabled: true
        actionKeyHighlighted: true
        actionKeyLabel: "Done"
    }

    title: Text { font.pixelSize: 30; font.bold: true; color: "white"; text: titleText; anchors.bottomMargin: 40;
        anchors.horizontalCenter: parent.horizontalCenter }

    content: Column
    {
        width: parent.width
        id: cnt
        spacing: 6

        Row {
            height: 10
            Text { text: " "; }
        }

        Text { font.pixelSize: 24; color: "white"; text: "User name" }
        TextField { id: editUserName; text: userName;
            width: parent.width; inputMethodHints: Qt.ImhNoPredictiveText; platformSipAttributes: sipAttributes;
            Keys.onReturnPressed: { cnt.focus = true; platformCloseSoftwareInputPanel(); }
        }
        Text { font.pixelSize: 24; color: "white"; text: "Password" }
        TextField { id: editPassword; text: password;
            width: parent.width; echoMode: TextInput.Password; platformSipAttributes: sipAttributes;
            Keys.onReturnPressed: { cnt.focus = true; platformCloseSoftwareInputPanel(); }
        }

        Row {
            height: 6
            Text { text: " "; }
        }

        Row {
            CheckBox { id: cbRemember; checked: rememberPassword; }
            Text { height: cbRemember.height; color: "white"; font.pixelSize: 24; text: "Remember the password"; verticalAlignment: Text.AlignVCenter; }
        }

        Row {
            height: 20
            Text { text: " "; }
        }
    }

    buttons: Row {
        spacing: 60
        anchors.horizontalCenter: parent.horizontalCenter

        Button { width: 170; text: "OK"; onClicked: accept(); }
        Button { width: 170; text: "Cancel"; onClicked: reject(); }
    }

    signal privateClicked
    onPrivateClicked: {}

    onAccepted: { app.OnLoginAccepted(editUserName.text.toString(), editPassword.text.toString(), cbRemember.checked); }
    onRejected: { appWindow.cmdHideWaitDialog(); app.OnLoginRejected(); }
}
