import QtQuick 1.1
import com.nokia.meego 1.1

Item {
    id: root

    property bool backButton: false
    property alias placeHolderText: textPanel.placeholderText
    property alias searchText: textPanel.text
    property bool platformInverted: false
    property alias maximumLength: textPanel.maximumLength

    function showKbd()  {
        textPanel.forceActiveFocus();
        textPanel.platformOpenSoftwareInputPanel();
    }

    signal clearClicked()
    signal backClicked()

    implicitWidth: Math.max(80, screen.width)
    implicitHeight: bgImage.height

    LayoutMirroring.enabled: false
    LayoutMirroring.childrenInherit: true

    // Styling for the ToolBar
    property Style platformStyle: ToolBarStyle {}

    QtObject {
        id: internal
        property int animationtime: 250
    }

    BorderImage {
        id: bgImage
        width: root.width
        source: platformStyle.background
        border {
            left: 10
            top: 10
            right: 10
            bottom: 10
        }
    }

    MilToolButton {
        id: backToolButton; objectName: "backToolButton"
        platformIconId: "toolbar-back"
        tipText: "Exit search mode"
        anchors { left: parent.left; top: parent.top; bottom: parent.bottom }
        visible: backButton
        onClicked: root.backClicked()
    }

    TextField {
        id: textPanel
        //platformLeftMargin: searchIndicator.width + platformStyle.paddingMedium
        //platformRightMargin: (clearButton.opacity > 0 ? clearButton.width : 0) + platformStyle.paddingMedium
        anchors {
            left: backButton ? backToolButton.right : parent.left
            leftMargin: backButton ? 0 : 10
            right: parent.right
            rightMargin: 10
            verticalCenter: parent.verticalCenter
        }
        width: parent.width - parent.spacing
        //platformInverted: root.platformInverted
        inputMethodHints: Qt.ImhNoPredictiveText
    }
}
