import QtQuick 1.0
import com.nokia.meego 1.0
import myExplorer.types 1.0

Dialog
{
    width: parent.width

    __fadeInDelay: 0
    __fadeInDuration: 0
    //__fadeOutDelay: 0
    //__fadeOutDuration: 0

    property alias dstName: lblName.text
    property alias dstSize: lblDstSize.text
    property alias dstTime: lblDstTime.text
    property alias srcSize: lblSrcSize.text
    property alias srcTime: lblSrcTime.text
    property bool dlgVisible: false

    title: Text { font.pixelSize: 30; font.bold: true; color: "white"; text: "File replace"; anchors.bottomMargin: 40;
        anchors.horizontalCenter: parent.horizontalCenter }

    content: Column
    {
        width: parent.width

        Row {
            height: 15
            Text { text: " "; }
        }

        Text { font.pixelSize: 24; color: "white"; text: "This folder already contains a file named "; }
        Text { id: lblName; font.pixelSize: 20; color: "white"; }

        Row {
            height: 4
            Text { text: " "; }
        }

        Text { font.pixelSize: 24; color: "white"; text: "Would you like to replace the existing:"; }

        Row {
            height: 4
            Text { text: " "; }
        }

        Row {
            width: parent.width - 40
            x: 40

            Column {
                spacing: 1

                Text { font.pixelSize: 20; color: "lightgray"; text: "Size: "; }
                Text { font.pixelSize: 20; color: "lightgray"; text: "Modified: "; }
            }

            Column {
                spacing: 1

                Text { id: lblDstSize; font.pixelSize: 20; color: "white"; }
                Text { id: lblDstTime; font.pixelSize: 20; color: "white"; }
            }
        }

        Row {
            height: 4
            Text { text: " "; }
        }

        Text { font.pixelSize: 24; color: "white"; text: "with this one?"; }

        Row {
            height: 4
            Text { text: " "; }
        }

        Row {
            width: parent.width - 40
            x: 40

            Column {
                spacing: 1

                Text { font.pixelSize: 20; color: "lightgray"; text: "Size: "; }
                Text { font.pixelSize: 20; color: "lightgray"; text: "Modified: "; }
            }

            Column {
                spacing: 1

                Text { id: lblSrcSize; font.pixelSize: 20; color: "white"; }
                Text { id: lblSrcTime; font.pixelSize: 20; color: "white"; }
            }
        }

        Row {
            height: 16
            Text { text: " "; }
        }
    }

    buttons: Column
    {
        width: parent.width
        spacing: 30

        Row {
            spacing: 70
            anchors.horizontalCenter: parent.horizontalCenter

            Button { width: 175; text: "Yes"; onClicked: closeDialog(3); }
            Button { width: 175; text: "No"; onClicked: closeDialog(1); }
        }

        Row {
            spacing: 70
            anchors.horizontalCenter: parent.horizontalCenter

            Button { width: 175; text: "Yes to all"; onClicked: closeDialog(4); }
            Button { width: 175; text: "No to all"; onClicked: closeDialog(2); }
        }
    }

    signal privateClicked
    onPrivateClicked: {}

    onStatusChanged: {
        if (dlgVisible && status == DialogStatus.Closed)
            open();
    }

    function setSrcAttribs(size, time)
    {
        srcSize = size;
        srcTime = time;
    }

    function setDstAttribs(size, time)
    {
        dstSize = size;
        dstTime = time;
    }

    function showDialog(name)
    {
        dlgVisible = true;
        lblName.text = name;
        open();
    }

    function closeDialog(choice)
    {
        dlgVisible = false;
        close();
        app.OnOverwriteChoice(choice);
    }
}
