import QtQuick 1.0
import com.nokia.meego 1.0
import myExplorer.types 1.0

Dialog
{
    property alias fileName: editName.text
    width: parent.width - 20

    SipAttributes
    {
        id: sipAttributes
        actionKeyEnabled: true
        actionKeyHighlighted: true
        actionKeyLabel: "Done"
    }

    title: Text { font.pixelSize: 30; font.bold: true; color: "white"; text: "Rename"; anchors.bottomMargin: 40;
        anchors.horizontalCenter: parent.horizontalCenter }

    content: Column {
        spacing: 20
        width: parent.width

        Row {
            height: 15
            Text { text: " "; }
        }

        TextField { id: editName;
            width: parent.width; inputMethodHints: Qt.ImhNoPredictiveText; platformSipAttributes: sipAttributes;
            Keys.onReturnPressed: { parent.focus = true; platformCloseSoftwareInputPanel(); }
        }

        Row {
            height: 15
            Text { text: " "; }
        }
    }

    buttons: Row {
        spacing: 60
        anchors.horizontalCenter: parent.horizontalCenter

        Button { width: 170; text: "OK"; onClicked: accept(); }
        Button { width: 170; text: "Cancel"; onClicked: reject(); }
    }

    signal privateClicked
    onPrivateClicked: {}

    onAccepted: app.OnRenameItem(fileName.toString());
}
