import QtQuick 1.0
import com.nokia.meego 1.0
import myExplorer.types 1.0

Dialog
{
    width: parent.width - 10

    property string statsText: ""
    property string typeText: ""
    property string pathText: ""
    property string sizeText: ""

    title: Text { font.pixelSize: 30; font.bold: true; color: "white"; text: "Selection Details"; anchors.bottomMargin: 40;
        anchors.horizontalCenter: parent.horizontalCenter }

    content: Column
    {
        width: parent.width

        Row {
            width: parent.width

            Column {
                id: leftCol
                spacing: 10

                Row {
                    height: 15
                    Text { text: " "; }
                }

                Image { id: typeImage; source: "qrc:/resources/MulDocIc.png" }
                Text { font.pixelSize: 24; color: "lightgray"; text: "Type: "; }
                Text { font.pixelSize: 24; color: "lightgray"; text: "Path: "; }
                Text { font.pixelSize: 24; color: "lightgray"; text: "Size: "; }
            }

            Column {
                spacing: 10

                Row {
                    height: 15
                    Text { text: " "; }
                }

                Text { height: typeImage.height; font.pixelSize: 24; color: "white"; text: statsText; verticalAlignment: Text.AlignVCenter; }

                Text { font.pixelSize: 24; color: "white"; text: typeText; }
                Text { font.pixelSize: 24; color: "white"; text: pathText; }
                Text { font.pixelSize: 24; color: "white"; text: sizeText; }
            }
        }

        Row {
            height: 25
            Text { text: " "; }
        }
    }

    buttons: Button { text: "Close"; anchors.horizontalCenter: parent.horizontalCenter; onClicked: reject(); }

    signal privateClicked
    onPrivateClicked: {}

    onRejected: app.OnSelDetailsDlgClosed();

    function updateType(type) { typeText = type; }
    function updateStats(stats, size) { statsText = stats; sizeText = size; }

    function showDialog(type, path)
    {
        typeText = type;
        pathText = path;
        statsText = " ";
        sizeText = " ";

        open();
    }
}
