import QtQuick 1.0
import com.nokia.meego 1.0
import myExplorer.types 1.0

Dialog
{
    width: 460

    title: Text { font.pixelSize: 30; font.bold: true; color: "white"; text: "Settings"; anchors.bottomMargin: 40;
        anchors.horizontalCenter: parent.horizontalCenter }

    content: Column
    {
        width: parent.width
        spacing: 3

        Row {
            height: 10
            Text { text: " "; }
        }

        Row {
            anchors.left: btn.left;
            CheckBox { id: cb2; checked: app.ShowStatusBar(); onCheckedChanged: app.SetShowStatusBar(checked); }
            Text { height: cb2.height; font.pixelSize: 28; color: "white"; text: "Show status bar"; verticalAlignment: Text.AlignVCenter; }
        }

        Row {
            height: 10
            Text { text: " "; }
        }

        Row {
            anchors.left: btn.left;
            CheckBox { id: cb; checked: app.ExitPrompt(); onCheckedChanged: app.SetExitPrompt(checked); }
            Text { height: cb.height; font.pixelSize: 28; color: "white"; text: "Prompt on exit"; verticalAlignment: Text.AlignVCenter; }
        }

        Row {
            height: 15
            Text { text: " "; }
        }

        Text { text: "Theme style:"; font.pixelSize: 28; color: "white"; width: btn.width; anchors.left: btn.left; }

        ButtonRow {
            width: btn.width
            anchors.horizontalCenter: parent.horizontalCenter;

            id: btnRow
            checkedButton: app.InvertedTheme() ? b2 : b1;
            Button { id: b1; text: "Light"; onClicked: app.SetInvertedTheme(false); }
            Button { id: b2; text: "Dark"; onClicked: app.SetInvertedTheme(true); }
        }

        Row {
            height: 15
            Text { text: " "; }
        }

        Button { id: btn; text: "Clear the local cache"; anchors.horizontalCenter: parent.horizontalCenter; onClicked: app.PurgeCache(); }

        Row {
            height: 25
            Text { text: " "; }
        }
    }

    buttons: Button { text: "Close"; anchors.horizontalCenter: parent.horizontalCenter; onClicked: reject(); }

    signal privateClicked
    onPrivateClicked: {}
}
