import QtQuick 1.1
import com.nokia.meego 1.1

Dialog
{
    width: parent.width - 10

    property string fileName: ""
    property string pathText: ""
    property string sizeText: ""
    property string savedText: ""
    property string posText: ""

    title: Text { font.pixelSize: 30; font.bold: true; color: "white"; text: "File Details"; anchors.bottomMargin: 40;
        anchors.horizontalCenter: parent.horizontalCenter }

    content: Column {
        width: parent.width

        Row { height: 15; Text { text: " " } }

        Label { text: fileName;
            elide: Text.ElideMiddle; width: parent.width - 10;
            x: 5
        }

        Row { height: 5; Text { text: " " } }

        Row {
            anchors {
                left: parent.left
                leftMargin: 5
                right: parent.right
                rightMargin: 5
            }
            spacing: 5

            Column {
                id: leftCol
                spacing: 9

                Row { height: 1; Text { text: " " } }

                Label { text: "Path:"; anchors { right: parent.right; } }
                Label { text: "Size:"; anchors { right: parent.right; } }
                Label { text: "Saved:"; anchors { right: parent.right; } }
                Label { text: "Pos:"; anchors { right: parent.right; } }
            }

            Column {
                spacing: 9
                property int maxWidth: parent.width - leftCol.width - parent.spacing

                Row { height: 1; Text { text: " " } }

                Label { text: pathText; elide: Text.ElideMiddle; width: parent.maxWidth }
                Label { text: sizeText; clip: true; width: parent.maxWidth }
                Label { text: savedText; clip: true; width: parent.maxWidth }
                Label { text: posText; clip: true; width: parent.maxWidth }
            }
        }

        Row { height: 25; Text { text: " " } }
    }

    buttons: Button { text: "Close"; anchors.horizontalCenter: parent.horizontalCenter; onClicked: reject(); }

    function showDialog(name, path, size, saved, pos)
    {
        fileName = name;
        pathText = path;
        sizeText = size;
        savedText = saved;
        posText = pos;

        open();
    }
}
