// import QtQuick 1.0 // to target S60 5th Edition or Maemo 5
import QtQuick 1.1

Rectangle {
    property alias titleText: label.text
    property alias small: label.small
    property bool inverted: false

    height: 60
    width: parent.width
    color: inverted ? "#2E394D" : "#1754b1"

    Text {
        id: label;
        property bool small: false

        anchors.fill: parent
        anchors.leftMargin: 20; anchors.rightMargin: 20;
        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: small ? Text.AlignLeft : Text.AlignHCenter
        font.pixelSize: small ? 26 : 30
        elide: Text.ElideMiddle
        font.bold: !small;
        color: "white"
    }

    Rectangle
    {
        height: 1
        width: parent.width
        anchors.bottom: parent.bottom
        color: inverted ? "#12171F" : "#2E394D";
    }
}
