import QtQuick 1.0
import com.nokia.meego 1.0
import myExplorer.types 1.0

Dialog
{
    width: parent.width - 20

    property alias nameText: lblName.text
    property alias timeText: lblTime.text
    property alias percent: pBar.value
    property alias sizeText: lblSize.text
    property bool dlgVisible: false

    __fadeInDelay: 0
    __fadeInDuration: 0
    __fadeOutDelay: 0
    __fadeOutDuration: 0

    title: Text { font.pixelSize: 30; font.bold: true; color: "white"; text: "File transfer progress"; anchors.bottomMargin: 40;
        anchors.horizontalCenter: parent.horizontalCenter }

    content: Column
    {
        width: parent.width
        spacing: 15

        Row {
            height: 15
            Text { text: " "; }
        }

        Text { id: lblName; font.pixelSize: 24; color: "white"; }

        ProgressBar {
            id: pBar
            width: parent.width
            anchors.horizontalCenter: parent.horizontalCenter;
        }

        Text { id: lblTime; font.pixelSize: 24; color: "white"; }
        Text { id: lblSize; font.pixelSize: 24; color: "white"; }

        Row {
            height: 25
            Text { text: " "; }
        }
    }

    buttons: Button { text: "Cancel"; anchors.horizontalCenter: parent.horizontalCenter; onClicked: app.OnTransferDlgRejected(); }

    signal privateClicked
    onPrivateClicked: {}

    onStatusChanged: {
        if (!dlgVisible && status == 1)
            close();
    }

    function showDialog()
    {
        dlgVisible = true;
        open();
    }

    function resetDialog()
    {
        nameText = "";
        timeText = "";
        sizeText = "";
        percent = 0;
    }

    function closeDialog() { dlgVisible = false; close(); }

    function updateSize(note) { lblSize.text = note; }
    function updateName(name) { lblName.text = name; }

    function updateUi(size, name, progress, timeLeft)
    {
        lblSize.text = size;
        lblName.text = name;
        lblTime.text = timeLeft;
        pBar.value = progress;
    }
}
