import QtQuick 1.0
import com.nokia.meego 1.0
import myExplorer.types 1.0

Dialog
{
    width: 460

    title: Text { font.pixelSize: 30; font.bold: true; color: "white"; text: "View options"; anchors.bottomMargin: 40;
        anchors.horizontalCenter: parent.horizontalCenter }

    content: Column
    {
        width: parent.width
        spacing: 3

        Row {
            height: 10
            Text { text: " "; }
        }

        Text { text: "Order by"; font.pixelSize: 28; color: "white"; width: btnRow.width; anchors.left: btnRow.left; }

        ButtonRow {
            anchors.horizontalCenter: parent.horizontalCenter;

            id: btnRow
            width: btnRow2.width
            checkedButton: b1

            Button { id: b1; text: "Name"; }
            Button { id: b2; text: "Date"; }
            Button { id: b3; text: "Size"; }
            Button { id: b4; text: "Type"; }

            onCheckedButtonChanged: {
                if (checkedButton == b1) {
                    btnRow2.checkedButton = b21;
                    setRow2Names(0);
                } else if (checkedButton == b2) {
                    btnRow2.checkedButton = b22;
                    setRow2Names(1);
                } else if (checkedButton == b3) {
                    btnRow2.checkedButton = b22;
                    setRow2Names(2);
                } else {
                    btnRow2.checkedButton = b21;
                    setRow2Names(3);
                }
            }
        }

        Row {
            height: 10
            Text { text: " "; }
        }

        Text { text: "Sort order"; font.pixelSize: 28; color: "white"; width: btnRow2.width; anchors.left: btnRow2.left; }

        ButtonRow {
            anchors.horizontalCenter: parent.horizontalCenter;

            id: btnRow2
            checkedButton: b21
            Button { id: b21; text: "Ascending"; }
            Button { id: b22; text: "Descending"; }
        }

        Row {
            height: 8
            Text { text: " "; }
        }

        Row {
            anchors.left: btnRow2.left;
            CheckBox { id: cb; }
            Text { height: cb.height; font.pixelSize: 28; color: "white"; text: "Show item date and size"; verticalAlignment: Text.AlignVCenter; }
        }

        Row {
            height: 8
            Text { text: " "; }
        }

        Row {
            anchors.left: btnRow2.left;
            CheckBox { id: cb2; }
            Text { height: cb2.height; font.pixelSize: 28; color: "white"; text: "Show hidden items"; verticalAlignment: Text.AlignVCenter; }
        }

        Row {
            height: 8
            Text { text: " "; }
        }
    }

    buttons: Row {
        spacing: 60
        anchors.horizontalCenter: parent.horizontalCenter

        Button { width: 170; text: "OK"; onClicked: accept(); }
        Button { width: 170; text: "Cancel"; onClicked: reject(); }
    }

    function setRow2Names(field)
    {
        switch (field)
        {
        case 0:
        case 3:
            b21.text = "A to Z";
            b22.text = "Z to A";
            break;

        case 1:
            b21.text = "Old first";
            b22.text = "New first";
            break;

        case 2:
            b21.text = "Small first";
            b22.text = "Large first";
            break;
        }
    }

    function openDlg()
    {
        var sf = app.getSortField();
        if (sf == 0)
            btnRow.checkedButton = b1;
        else if (sf == 1)
            btnRow.checkedButton = b2;
        else if (sf == 2)
            btnRow.checkedButton = b3;
        else
            btnRow.checkedButton = b4;

        setRow2Names(sf);

        var so = app.getSortOrder();
        if (so == 0)
            btnRow2.checkedButton = b21;
        else
            btnRow2.checkedButton = b22;

        cb.checked = app.showDetails();
        cb2.checked = app.ShowHidden();

        open();
    }

    onAccepted: {
        var sf;
        if (btnRow.checkedButton == b1)
            sf = 0;
        else if (btnRow.checkedButton == b2)
            sf = 1;
        else if (btnRow.checkedButton == b3)
            sf = 2;
        else
            sf = 3;

        var so;
        if (btnRow2.checkedButton == b21)
            so = 0;
        else
            so = 1;

        app.ChangeViewOptions(sf, so, cb.checked, cb2.checked);
    }

    signal privateClicked
    onPrivateClicked: {}
}
