import QtQuick 1.0
import com.nokia.meego 1.0
import myExplorer.types 1.0

Dialog
{
    property string msgText
    property bool showCancel
    property bool dlgVisible: false

    __fadeInDelay: 0
    __fadeInDuration: 0
    __fadeOutDelay: 0
    __fadeOutDuration: 0

    title: Text { font.pixelSize: 24; font.bold: true; color: "white"; text: msgText; anchors.bottomMargin: 40;
        anchors.horizontalCenter: parent.horizontalCenter }

    content: Column {
        spacing: 20
        width: parent.width

        Row {
            height: 15
            Text { text: " "; }
        }

        ProgressBar
        {
            id: indicator1
            anchors.horizontalCenter: parent.horizontalCenter
            width: 300
            indeterminate: true
        }

        Row {
            height: 15
            Text { text: " "; }
        }
    }

    buttons: Button { text: "Cancel"; visible: showCancel; anchors.horizontalCenter: parent.horizontalCenter;
        onClicked: reject(); }

    signal privateClicked
    onPrivateClicked: {}

    onStatusChanged: {
        if (!dlgVisible && status == 1)
            close();
    }

    onRejected: { app.OnCancelConnect(); }

    function showDlg() { dlgVisible = true; open(); }
    function hideDlg() { dlgVisible = false; close(); }
}
